package cn.pluss.platform.leshua;

/**
 * @author yuchen
 *
 * @Description 
 */
public class WxpayconfigDTO {
	
	/**
	 * 商户编号
	 */
	private String merchantId;
	
	/**
	 * 配置类型：1：绑定APPID（支付）；2：推荐关注APPID；3：授权目录；
	 */
	private Integer configType;
	
	/**
	 * 绑定APPID，configType为1、2时必填
	 */
	private String sub_appid;
	
	/**
	 * 推荐关注APPID，configType为2时二选一必填
	 */
	private String subscribe_appid;
	
	/**
	 * 推荐关注小程序APPID，configType为2时二选一必填
	 */
	private String receipt_appid;
	
	/**
	 * 授权目录，configType为3时必填
	 */
	private String jsapi_path;

	public String getMerchantId() {
		return merchantId;
	}

	public void setMerchantId(String merchantId) {
		this.merchantId = merchantId;
	}

	public Integer getConfigType() {
		return configType;
	}

	public void setConfigType(Integer configType) {
		this.configType = configType;
	}

	public String getSub_appid() {
		return sub_appid;
	}

	public void setSub_appid(String sub_appid) {
		this.sub_appid = sub_appid;
	}

	public String getSubscribe_appid() {
		return subscribe_appid;
	}

	public void setSubscribe_appid(String subscribe_appid) {
		this.subscribe_appid = subscribe_appid;
	}

	public String getReceipt_appid() {
		return receipt_appid;
	}

	public void setReceipt_appid(String receipt_appid) {
		this.receipt_appid = receipt_appid;
	}

	public String getJsapi_path() {
		return jsapi_path;
	}

	public void setJsapi_path(String jsapi_path) {
		this.jsapi_path = jsapi_path;
	}

}

